Health check
Returns service status and version. No authentication required.
GET
/health
Returns service status and version. No authentication required.
Responses
200
Service is healthy
application/jsonstatus
string
REQUIRED
service
string
REQUIRED
version
string
REQUIRED
timestamp
string
REQUIRED
request_id
string
REQUIRED
curl -X GET 'https://hookstream.io/v1/health' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/health', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://hookstream.io/v1/health', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://hookstream.io/v1/health", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "status": "ok", "service": "hookstream", "version": "0.1.0", "timestamp": "2026-03-07T12:00:00.000Z", "request_id": "abc123"}
API Playground
Try this endpoint
GET
/health